dab_moving_sum_cc Class Reference

Moving sum over a stream of complex floats. More...

`#include <dab_moving_sum_cc.h>`

Inheritance diagram for dab_moving_sum_cc:
[legend]

## Public Member Functions

| ~dab_moving_sum_cc ()
int | length () const
void | reset ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Friends

dab_moving_sum_cc_sptr | dab_make_moving_sum_cc (int length)

## Detailed Description

Moving sum over a stream of complex floats.

Parameters

  length | length of the moving sum (=number of taps)

input: complex output: complex

This is the same as an FIR filter with length taps 1, but much faster (linear time instead of O(n*m)). On the other hand, since only the diff is calculated for each sample, there is some chance of an accumulating error.

## Constructor & Destructor Documentation

## ~dab_moving_sum_cc()

dab_moving_sum_cc::~dab_moving_sum_cc | ( |  | ) |

## Member Function Documentation

## length()

int dab_moving_sum_cc::length | ( |  | ) | const

inline

Referenced by dab_make_moving_sum_cc.

## reset()

void dab_moving_sum_cc::reset | ( |  | ) |

inline

## work()

int dab_moving_sum_cc::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Friends And Related Symbol Documentation

## dab_make_moving_sum_cc

dab_moving_sum_cc_sptr dab_make_moving_sum_cc | ( | int | length | ) |

friend

References length().

The documentation for this class was generated from the following file:

- dab_moving_sum_cc.h